Sync Control
curl --request PUT \
--url https://api.jtl-cloud.com/erp/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '{}'import requests
url = "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload = {}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.jtl-cloud.com/erp/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}worker
Sync Control
deprecated
Control the Sync Processes
PUT
/
workers
/
{syncId}
Sync Control
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the job to Restart Represents a configuration key that serves as a unique identifier for configuration entities.
Body
application/json
The Information to Control the Sync
Model Class: PutWorkerSyncAction
The Action to Execute
Available options:
0, 1, 2 Response
The Action is Invoked
Was this page helpful?
⌘I